<a href="{% url 'profile:admin_setting_create_carousel' %}" class="btn btn-info mt-2 mb-4" >
    <i class="bi bi-plus"></i> Tambah Kategori Mobil
</a>

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Kategori</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="row">
            {% for carousel in carousels %}
                <div class="col-md-3 mb-2">
                    <div class="bg-white rounded shadow-sm">
                        {% if carousel.foto != '' %}
                            <img src="{{ carousel.foto.url }}" alt="" class="img-fluid card-img-top">
                            {% if carousel.deleted_at %}
                                <div class="img-bagss">
                                    <div class="tag-bln">Diarsipkan</div>
                                </div>
                            {% endif %}
                            {% if carousel.kondisi == "Popular" %}
                                <div class="img-pop">
                                    <div class="tag-bln">Popular</div>
                                </div>
                            {% endif %}
                            {% if carousel.kondisi == "Terlaris" %}
                                <div class="img-laris">
                                    <div class="tag-bln">Terlaris</div>
                                </div>
                            {% endif %}
                        {% endif %}
                        <div class="p-4">
                            <p class="mb-0">{{ carousel.judul }}</p>
                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-4">
                                <button href="#" class="btn btn-info btn-circle pass-data mr-3 mb-2" 
                                    data-tooltip="tooltip" data-placement="top" title="Detail"
                                    data-toggle="modal" data-target="#modal-center-detail"
                                    data-id="{% url 'profile:admin_setting_edit_carousel' id=carousel.id %}"
                                    data-judul="{{ carousel.judul }}"
                                    data-subjudul="{{ carousel.subjudul }}"
                                    data-keterangan="{{ carousel.keterangan }}"
                                    data-created_at="{{ carousel.created_at }}"
                                    data-link="{{ carousel.harga }}"
                                    data-foto="{{ carousel.foto.url }}">
                                    <i class="bi bi-info"></i>
                                </button>

                                <a href="{% url 'profile:admin_setting_edit_carousel' id=carousel.id %}">
                                    <button class="btn btn-success btn-circle pass-data-ubah mr-3 mb-2">
                                        <i class="bi bi-pencil"></i>
                                    </button>
                                </a>
                                
                                {% if carousel.deleted_at %}
                                    <button class="btn btn-success btn-circle mr-3 mb-2" 
                                        onclick="restore_('Paket Wisata ini', '{{ carousel.id }}', 'carousel', 'Kategori Mobil')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                    {% if user.is_staff %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2 " 
                                            onclick="delete_('permanent_delete', 'Paket Wisata ini', '{{ carousel.id }}', 'carousel', 'Kategori Mobil')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    {% endif %}
                                {% else %}
                                    <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', 'Paket Wisata ini', '{{ carousel.id }}', 'carousel', 'kategori Mobil')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
</div>

{% if request.user.is_staff and archives %}
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Arsip Paket Wisata</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                {% for archive in archives %}
                    <div class="col-md-3 mb-2">
                        <div class="bg-white rounded shadow-sm h-100">
                            {% if archive.thumbnail != '' %}
                                <img src="{{ archive.foto.url }}" alt="" class="img-fluid card-img-top">
                                {% if archive.deleted_at %}
                                    <div class="img-bagss">
                                        <div class="tag-bln">Diarsipkan</div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            <div class="p-2">
                                <h5>{{ archive.judul | truncatewords:8 }}</h5>
                                <!-- <p class="mb-0">{{ archive.category }} | {{ archive.created_at }}</p> -->
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <button href="#" class="btn btn-info btn-circle pass-data mr-3 mb-2" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail"
                                        data-toggle="modal" data-target="#modal-center-detail"
                                        data-id="{% url 'profile:admin_setting_edit_carousel' id=archive.id %}"
                                        data-judul="{{ archive.judul }}"
                                        data-subjudul="{{ archive.subjudul }}"
                                        data-keterangan="{{ archive.keterangan }}"
                                        data-created_at="{{ archive.created_at }}"
                                        data-link="{{ archive.harga }}"
                                        data-foto="{{ archive.foto.url }}">
                                        <i class="bi bi-info"></i>
                                    </button>
                                    <a class="btn btn-success btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_setting_edit_carousel' id=archive.id %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    {% if archive.deleted_at %}
                                        <button class="btn btn-success btn-circle mr-3 mb-2" 
                                            onclick="restore_('Paket Wisata ini', '{{ archive.id }}', 'carousel', 'Paket Wisata')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        {% if user.is_staff %}
                                            <button href="#" class="btn btn-danger btn-circle mr-3 mb-2 " 
                                                onclick="delete_('permanent_delete', 'Paket Wisata ini', '{{ archive.id }}', 'carousel', 'Paket Wisata')"
                                                data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                                <i class="bi bi-trash"></i>
                                            </button>
                                        {% endif %}
                                    {% else %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2 " 
                                            onclick="delete_('permanent_delete', 'Paket Wisata ini', '{{ archive.id }}', 'carousel', 'Paket Wisata')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% endif %}

<div class="modal fade" id="modal-center-detail" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail Carousel</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <div class="text-right mb-1">
                    <a href="" id="detail-id" class="ml-2"> 
                        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-pencil"></i> Edit</button>
                    </a>
                </div>
                <img src="" class="img-fluid w-100 d-non mb-1" alt="Responsive image" id="detail-foto">
                <div class="form-group">
                    <label for="detail-judul">Judul</label>
                    <input type="text" class="form-control" id="detail-judul" disabled>
                </div>
                <div class="form-group">
                    <label for="detail-subjudul">Subjudul</label>
                    <input type="text" class="form-control" id="detail-subjudul" disabled>
                </div>
                <div class="form-group">
                    <label for="detail-keterangan">Keterangan</label>
                    <textarea class="form-control" id="detail-keterangan" rows="3" disabled></textarea>
                </div>
                <div class="form-group">
                    <label for="detail-link">Harga</label>
                    <input type="text" class="form-control" id="detail-link" disabled>
                </div>
                <div class="form-group">
                    <label for="detail-created_at">Tanggal</label>
                    <input type="text" class="form-control" id="detail-created_at" disabled>
                </div>
            </div>
        </div>
    </div>
</div>